/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.data.tsv;

import org.osgi.framework.BundleContext;

import benten.cat.glossary.data.AbstractBentenGlossaryDataTsvPlugin;

/**
 * 用語集データ TSV プラグインです。
 * 
 * <UL>
 * <LI>benten.cat.glossary.data.tsv を Eclipse にプラグするためのクラスです。
 * </UL>
 * 
 * TODO 山本さん、author を記載してください。
 */
public class CatGlossaryDataTsvPlugin extends AbstractBentenGlossaryDataTsvPlugin {

	/**
	 * コンストラクター。
	 */
	public CatGlossaryDataTsvPlugin() {
	}

	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}
}
